# Barry::PinNotFound Class Reference
[Exceptions]

`#include <error.h>`

Inheritance diagram for Barry::PinNotFound:

[legend]
Collaboration diagram for Barry::PinNotFound:

[legend]

List of all members.

## Detailed Description

Thrown by the Connector class when unable to find the requested Pin If the attached pin is not Valid(), then unable to autodetect device.

If pin is Valid(), then the specified pin number was not available. probe_count is the number of devices found during the probe.

Definition at line 86 of file error.h.

The documentation for this class was generated from the following file:

- error.h